taffybar-0.4.5: A desktop bar similar to xmobar, but with more GUI

Safe Haskell | None
Language | Haskell2010

System.Taffybar.SimpleClock

Description

This module implements a very simple text-based clock widget. The widget also toggles a calendar widget when clicked. This calendar is not fancy at all and has no data backend.

Synopsis

- textClockNew :: Maybe TimeLocale -> String -> Double -> IO Widget
- textClockNewWith :: ClockConfig -> String -> Double -> IO Widget
- defaultClockConfig :: ClockConfig
- data ClockConfig = ClockConfig {
  - clockTimeZone :: Maybe TimeZone
  - clockTimeLocale :: Maybe TimeLocale
  }

# Documentation

textClockNew :: Maybe TimeLocale -> String -> Double -> IO Widget Source

Create the widget. I recommend passing `Nothing` for the TimeLocale parameter. The format string can include Pango markup (http:/developer.gnome.orgpangostablePangoMarkupFormat.html).

textClockNewWith :: ClockConfig -> String -> Double -> IO Widget Source

A configurable text-based clock widget. It currently allows for a configurable time zone through the `ClockConfig`.

See also `textClockNew`.

defaultClockConfig :: ClockConfig Source

A clock configuration that defaults to the current locale

data ClockConfig Source

Constructors

ClockConfig |

Fields

clockTimeZone :: Maybe TimeZone
clockTimeLocale :: Maybe TimeLocale

Instances

Eq ClockConfig Source |
Ord ClockConfig Source |
Show ClockConfig Source |